Unblock Card API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Unblock Card API is used to unblock the card in case the card is in a blocked state.

šŸ“˜

Note:

You can unblock through temporary and custom blocked cards, whereas permanent cards cannot be unblocked.

Environment

Sandbox<https://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/onboarding/v3/unblock>
ProductionContact your WIBMO KAM or support.
Sample request
curl --request PATCH \
     --url https://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/onboarding/v3/unblock \
     --header 'X-Consumer-Custom-ID: F42BC4E7B801C834B630DE498473533F' \
     --header 'bankId: 6060' \
     --header 'clientId: 1060' \
     --header 'content-type: application/json' \
     --header 'entityId: 100' \
     --header 'secureCode: pu8gSMLNE7pNv36IlUmstU' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "token": "x0GdeGzqIanem8rPQkUUGuKk400iN5kNFFbGvSAJQHnWVnKgeVEbULSTVk+c/8rcpL0EhV2OgJZCVSzGa6qB4qE6buK2OCnMvyO+MUyRqChDm1NsF6PbzawAFYUYrZcRJ2FN7yqgy0gPI7Q+8qivXTt2WRijv/l1KJo/FudKX/jPx+IlqJcVKQ1+/OaHtrJki5Zo8XNq+ZPeq1vIMWfYJlx2ZJs9qFc/+ZuGqIY5Ls0tQs9+ZXfXCqVQtWG0xBin0DepJRLx3XI8vxx+gHTLJG0duiqIlJe0VcrLlHRcFb66MmaydPEeDOdnIvLO8GPjzNqeG89KbhoN9Y7B5tDZiXZwAHPBd8+8zHa2prZJ0HItuaJiYR6GThaaBUzKr11P"
}
'
Response parameters (Decrypted)

This API will provide a token in the response that must be decrypted using the Decrypt API. The decrypted response is similar to the following:

AttributeTypeParameter RequirementDescription
messageCodeNumeric(4)MandatoryAPI Unique IDentifier.
clientIdString(15)MandatoryValue echoed from the request
clientTxnIdString(100)MandatoryValue echoed from the request
bankIdNumeric(4)MandatoryValue echoed from the request
responseDateTimeNumeric(14)MandatoryResponse date time in the format YYYYMMDDHHMMSS with time in 24-hour format
urnNumeric(11)MandatoryA unique reference number for the card(urn)
customerIdString(20)MandatoryCustomer Id, which uniquely identifies the cardholder in the client system
accosaTransactionIdNumeric(10)MandatoryUnique ID for a particular transaction generated in Prepaid
responseCodeString(4)MandatoryRepresents the status of the transaction.
responseMessageString(100)OptionalRepresents the status of the transaction.
descriptionString(100)OptionalReserved field to send information to client.
accosaRefNoNumeric(20)MandatoryAuto-generated sequence number.
Sample response (Decrypted)
{
    "urn": 1000000,
    "customerId": "IN00001201001865",
    "description": "UnBlocking",
    "responseCode": "00",
    "messageCode": "1251",
    "clientTxnId": "CUBL-456",
    "clientId": "2030",
    "responseDateTime": "20160715025837",
    "accosaTransactionId": 1024,
    "responseMessage": "Success",
    "accosaRefNo": "6007283",
    "bankId": 7030
}
Error codes
Error CodeDescription
00SUCCESS
1001CARD NOT FOUND
1009CARD CANCELLED CLOSED EXPIRED
1011CARD PERMANENT BLOCK
1012CARD PENDING CANCELLATION
1030INVALID MESSAGE
1034INVALID_MOBILE_NUMBER
1045UNABLE TO PROCESS REQUEST
1054DUPLICATE REQUEST
1067CARD ALREADY UNBLOCKED
1084URN AND CUSTOMER ID MISMATCH
1231DATA_NOT_FOUND
1237DUPLICATE_PHONE_NUMBER_WITH_MULTIPLE_ACCOUNT
1356CARD_NOT_ACTIVE
1366PROGRAM IS INACTIVE

Request parameters

Body Params
string
required

This parameter must contain the token generated using the Encrypt API.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

integer
required

This parameter must contain the Unique ID for the client shared by Wibmo.

integer
required

This parameter must contain the bank ID. Include 6060 for PayU.

integer
required

This parameter must contain the child corporate/branch entity ID under the client. This will be generated from the CMS. The default value is 100.

string
required

This parameter must contain the secure code that uniquely identifies the client on payload level for performing operations. Secure code will be shared by Wibmo separately.

string
required

This parameter must contain the unique consumer ID provided by the vendor for which bill is being paid or recharged.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!